Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser

# Class ColorSliderTextFieldHandler

java.lang.Object
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.colorchooser.ColorSliderTextFieldHandler

All Implemented Interfaces:
  `EventListener`, `ChangeListener`, `DocumentListener`

public class ColorSliderTextFieldHandler extends Object implements DocumentListener, ChangeListener
This handler adjusts the value of a component in the color slider model, when the user enters text into the text field.

## Constructor Summary

Constructors
Constructor
Description
`ColorSliderTextFieldHandler(JTextField textField, ColorSliderModel ccModel, int component)`

## Method Summary

Modifier and Type
Method
Description
`void`
`changedUpdate(DocumentEvent evt)`
`void`
`insertUpdate(DocumentEvent evt)`
`void`
`removeUpdate(DocumentEvent evt)`
`void`
`stateChanged(ChangeEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorSliderTextFieldHandler

public ColorSliderTextFieldHandler(JTextField textField, ColorSliderModel ccModel, int component)

## Method Details

### changedUpdate

public void changedUpdate(DocumentEvent evt)

Specified by:
  `changedUpdate` in interface `DocumentListener`

### removeUpdate

public void removeUpdate(DocumentEvent evt)

Specified by:
  `removeUpdate` in interface `DocumentListener`

### insertUpdate

public void insertUpdate(DocumentEvent evt)

Specified by:
  `insertUpdate` in interface `DocumentListener`

### stateChanged

public void stateChanged(ChangeEvent e)

Specified by:
  `stateChanged` in interface `ChangeListener`